summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-26 08:18:51 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-26 08:18:51 +0000
commit7bcc6023d63e812f9210ed3a92cf2271fbf9db15 (patch)
tree0620715309da00f3955017607bf3b9d8d87519c5 /dev-python
parent4e0f4f10721b6dbe5b2fd4a0369d85b83043a62c (diff)
downloadbaldeagleos-repo-7bcc6023d63e812f9210ed3a92cf2271fbf9db15.tar.gz
baldeagleos-repo-7bcc6023d63e812f9210ed3a92cf2271fbf9db15.tar.xz
baldeagleos-repo-7bcc6023d63e812f9210ed3a92cf2271fbf9db15.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/azure-core/azure-core-1.26.3.ebuild1
-rw-r--r--dev-python/bleach/files/bleach-4.1.0-py39.patch36
-rw-r--r--dev-python/clang-python/Manifest1
-rw-r--r--dev-python/clang-python/clang-python-17.0.0_pre20230225.ebuild54
-rw-r--r--dev-python/cloudscraper/Manifest1
-rw-r--r--dev-python/cloudscraper/cloudscraper-1.2.69.ebuild55
-rw-r--r--dev-python/django-cors-headers/Manifest1
-rw-r--r--dev-python/django-cors-headers/django-cors-headers-3.14.0.ebuild34
-rw-r--r--dev-python/dkimpy/Manifest1
-rw-r--r--dev-python/dkimpy/dkimpy-1.1.0.ebuild37
-rw-r--r--dev-python/doit-py/Manifest1
-rw-r--r--dev-python/doit-py/doit-py-0.5.0-r1.ebuild37
-rw-r--r--dev-python/doit/doit-0.36.0-r1.ebuild67
-rw-r--r--dev-python/fastjsonschema/Manifest1
-rw-r--r--dev-python/fastjsonschema/fastjsonschema-2.16.3.ebuild32
-rw-r--r--dev-python/gbinder/Manifest1
-rw-r--r--dev-python/gbinder/files/gbinder-1.0.0-setuppy-extensions.patch22
-rw-r--r--dev-python/gbinder/files/gbinder-1.1.1-setuptools.patch37
-rw-r--r--dev-python/gbinder/gbinder-1.1.1-r10.ebuild (renamed from dev-python/gbinder/gbinder-1.0.0.ebuild)18
-rw-r--r--dev-python/gbinder/gbinder-9999.ebuild6
-rw-r--r--dev-python/grpcio-tools/Manifest2
-rw-r--r--dev-python/grpcio-tools/grpcio-tools-1.51.3.ebuild (renamed from dev-python/grpcio-tools/grpcio-tools-1.50.0.ebuild)4
-rw-r--r--dev-python/grpcio/Manifest2
-rw-r--r--dev-python/grpcio/grpcio-1.51.3.ebuild (renamed from dev-python/grpcio/grpcio-1.50.0.ebuild)4
-rw-r--r--dev-python/guzzle_sphinx_theme/guzzle_sphinx_theme-0.7.11-r1.ebuild18
-rw-r--r--dev-python/guzzle_sphinx_theme/guzzle_sphinx_theme-0.7.11-r2.ebuild5
-rw-r--r--dev-python/leechcorepyc/Manifest1
-rw-r--r--dev-python/leechcorepyc/files/leechcorepyc-2.14.0-cflags.patch13
-rw-r--r--dev-python/leechcorepyc/files/leechcorepyc-2.14.0-respect-CC.patch38
-rw-r--r--dev-python/leechcorepyc/leechcorepyc-2.14.0.ebuild35
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-17.0.0_pre20230225.ebuild42
-rw-r--r--dev-python/proxy_tools/Manifest2
-rw-r--r--dev-python/proxy_tools/proxy_tools-0.1.0.ebuild17
-rw-r--r--dev-python/proxy_tools/proxy_tools-0.1.0_p1.ebuild23
-rw-r--r--dev-python/pyrate-limiter/Manifest1
-rw-r--r--dev-python/pyrate-limiter/pyrate-limiter-2.9.1.ebuild62
-rw-r--r--dev-python/pysol_cards/pysol_cards-0.14.3.ebuild2
-rw-r--r--dev-python/qiskit-aer/files/qiskit-aer-0.11.2-terra-test.patch45
-rw-r--r--dev-python/qiskit-aer/qiskit-aer-0.11.2-r1.ebuild34
-rw-r--r--dev-python/qiskit-terra/qiskit-terra-0.23.2-r1.ebuild (renamed from dev-python/qiskit-terra/qiskit-terra-0.23.2.ebuild)7
-rw-r--r--dev-python/seaborn/Manifest1
-rw-r--r--dev-python/seaborn/files/seaborn-0.12.2-matplotlib-3.7.patch19
-rw-r--r--dev-python/seaborn/seaborn-0.12.2.ebuild44
44 files changed, 736 insertions, 129 deletions
diff --git a/dev-python/azure-core/azure-core-1.26.3.ebuild b/dev-python/azure-core/azure-core-1.26.3.ebuild
index 4261392f7f94..71c2346b9938 100644
--- a/dev-python/azure-core/azure-core-1.26.3.ebuild
+++ b/dev-python/azure-core/azure-core-1.26.3.ebuild
@@ -5,6 +5,7 @@ EAPI=8
PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
inherit distutils-r1 optfeature pypi
DESCRIPTION="Microsoft Azure Core Library for Python"
diff --git a/dev-python/bleach/files/bleach-4.1.0-py39.patch b/dev-python/bleach/files/bleach-4.1.0-py39.patch
deleted file mode 100644
index 8460be601a23..000000000000
--- a/dev-python/bleach/files/bleach-4.1.0-py39.patch
+++ /dev/null
@@ -1,36 +0,0 @@
-diff --git a/tests/test_clean.py b/tests/test_clean.py
-index 8f816f9..2be6f7b 100644
---- a/tests/test_clean.py
-+++ b/tests/test_clean.py
-@@ -525,31 +525,16 @@ def test_attributes_list():
- {"protocols": ["http"]},
- '<a href="example.com">valid</a>',
- ),
-- (
-- '<a href="example.com:8000">valid</a>',
-- {"protocols": ["http"]},
-- '<a href="example.com:8000">valid</a>',
-- ),
- (
- '<a href="localhost">valid</a>',
- {"protocols": ["http"]},
- '<a href="localhost">valid</a>',
- ),
-- (
-- '<a href="localhost:8000">valid</a>',
-- {"protocols": ["http"]},
-- '<a href="localhost:8000">valid</a>',
-- ),
- (
- '<a href="192.168.100.100">valid</a>',
- {"protocols": ["http"]},
- '<a href="192.168.100.100">valid</a>',
- ),
-- (
-- '<a href="192.168.100.100:8000">valid</a>',
-- {"protocols": ["http"]},
-- '<a href="192.168.100.100:8000">valid</a>',
-- ),
- pytest.param(
- *(
- '<a href="192.168.100.100:8000/foo#bar">valid</a>',
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 32b833c03f2b..b3ac1c92b538 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -8,3 +8,4 @@ DIST llvm-project-16.0.0rc3.src.tar.xz 117914548 BLAKE2B 18ffa35eb73c7cc4626d7b6
DIST llvm-project-16.0.0rc3.src.tar.xz.sig 566 BLAKE2B 43683d2d7b266a847516f71412bf6236a355462430330fc0da1d624fb8dfbc98bfc982d367baee74d5b4964a9e82e7a4a6ea84bdcff3996d246932f516cced1a SHA512 61adc4dc3eb5a4c11a7f96f9267ff37895e5845a08d48a609a03a2696c1b6bca5af5861a6f28de936c48e6d621bf282170589187f2cb593a912b9078300cf47c
DIST llvm-project-22fb66eb94b643c858c2beecbcfac438a7fa29ed.tar.gz 179795537 BLAKE2B aef57ef739c52a8f8b2b327a8f6d8cce4734d9704018fb43a21468e56748e5d5b3d2d47fb4e95fd72b2af9f2e4be88839553e26fd7da08df60c5cc0f51c001d4 SHA512 9ed093ef7dac4891660aafbc5cad66bddefa796bff4dd70c792cc636268742142d82b84520ac2f5a5963521d7b9e4325440763ce0c88937f89722f07d3acd4b8
DIST llvm-project-5e262d58c42668c78d932fab6bf75cf8c3b9d07e.tar.gz 179975303 BLAKE2B 184e7ff6e9a7de77d4a8c36c6910e4e3c7c5e9ff73ed6111ec4704dd457205278abb258ff37170e41a6b21c9ae3f243a80b34e4b17f8977fb9a42876db6465b7 SHA512 ec7e16a4d8f8292d1184ae08c1c5eda0dba1876e7d9c228eb0added5cde45f3094fde7eb1da662d436f85315850310cc0612210ff3ddf82967d5c2de0047a724
+DIST llvm-project-b0676fb0fb0a44a4a1c4ec1f0270fef1f1842817.tar.gz 180277698 BLAKE2B d2c1e6a1942e51f5844c18605f38b005e9bb4123850a173e4c4b3d7b6a14f4986c7b276b40df4d0594ae04e869e92ba1a4269c5055c0229cfd28aa1bd709da4f SHA512 d1281b942dcc254641865f11b0c4fbd1d562d016681b6b7268549bed1cdb7d4536f743a8ed089095eaab9f4bfb9de624153f448bf13d0e22f8ea24a4d264df7b
diff --git a/dev-python/clang-python/clang-python-17.0.0_pre20230225.ebuild b/dev-python/clang-python/clang-python-17.0.0_pre20230225.ebuild
new file mode 100644
index 000000000000..f37802f5c2d7
--- /dev/null
+++ b/dev-python/clang-python/clang-python-17.0.0_pre20230225.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ sys-devel/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/cloudscraper/Manifest b/dev-python/cloudscraper/Manifest
index 6dc989dc36df..541b7757d944 100644
--- a/dev-python/cloudscraper/Manifest
+++ b/dev-python/cloudscraper/Manifest
@@ -1 +1,2 @@
DIST cloudscraper-1.2.68.gh.tar.gz 111952 BLAKE2B 69e896ad704ce776594fb89714bb75316ebff1b03387cba8575be6d60b496d18556690cfad109c2fa55c72ce3d91dcd21a21467a2d9820c579fea7482b688800 SHA512 42fa90127c6348c52a8327728683719966ae69c7b945cb9b485907e89e3b29b8053d31cd9cd4326e71ffd4c33e0fce20dd3d0e046fab62d89110eb4510535ad9
+DIST cloudscraper-1.2.69.gh.tar.gz 112198 BLAKE2B ea7325353aa9c4bfaca1834a1f9fdb2201cee1946a990d059540500e58322899469a48d847b6d7688b8f671bf4bbe762d1f61ed080587f3a553771ba8e9c2a93 SHA512 9da8d3d42117768a0a38843448248e3a124c864aaa76d62125d3a1dad8ea4f1921954e6efaa2eb9b40c283d6889c15c0c33378db7008155e46ccb5ae219c11d6
diff --git a/dev-python/cloudscraper/cloudscraper-1.2.69.ebuild b/dev-python/cloudscraper/cloudscraper-1.2.69.ebuild
new file mode 100644
index 000000000000..339043c76755
--- /dev/null
+++ b/dev-python/cloudscraper/cloudscraper-1.2.69.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="A Python module to bypass Cloudflare's anti-bot page"
+HOMEPAGE="
+ https://github.com/VeNoMouS/cloudscraper/
+ https://pypi.org/project/cloudscraper/
+"
+SRC_URI="
+ https://github.com/VeNoMouS/cloudscraper/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+RDEPEND="
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+ dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/js2py[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ net-libs/nodejs
+ )
+"
+
+# These tests fail for no understanadble reason
+EPYTEST_DESELECT=(
+ "tests/test_cloudscraper.py::TestCloudScraper::test_bad_interpreter_js_challenge1_16_05_2020"
+ "tests/test_cloudscraper.py::TestCloudScraper::test_bad_solve_js_challenge1_16_05_2020"
+ "tests/test_cloudscraper.py::TestCloudScraper::test_Captcha_challenge_12_12_2019"
+ "tests/test_cloudscraper.py::TestCloudScraper::test_reCaptcha_providers"
+)
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "brotli decompresssion support" "dev-python/brotlipy"
+
+ optfeature "js2py interpreter support" "dev-python/js2py"
+ optfeature "node.js interpreter support" "net-libs/nodejs"
+}
diff --git a/dev-python/django-cors-headers/Manifest b/dev-python/django-cors-headers/Manifest
index 462d563be57c..3f363d9fae7e 100644
--- a/dev-python/django-cors-headers/Manifest
+++ b/dev-python/django-cors-headers/Manifest
@@ -1 +1,2 @@
DIST django-cors-headers-3.13.0.gh.tar.gz 27361 BLAKE2B 2d0729ae6f0e0ff7c572c5f25482fd88dfa03e8f03a7f640ba32f56208fccb91712cd3067bc3376428469cc7f03dd8003069b79e98dd438fad9e5f4b15cd9c71 SHA512 153ae0d2e0b1e390c72993ca629f7ed521fd907481bb2944ee2f805c0081a1db334fd72f0b3fdb77cbb57b3392691f32564bb646bfb8e388a942a8a3da138a8e
+DIST django-cors-headers-3.14.0.gh.tar.gz 29634 BLAKE2B 08ec6811b8608feecbdaadcc6ce220b1574a4bf16823f939f93eda4ece9df0430b015edc1d0909b980996ff143e036858ca81f524e8d270846881a9c0af25fac SHA512 5ff390bd2fba1b3dff3cea08b10021d0fd100497000b2eaef788fe32c1b8584f1954e470f4aa15cbcf9e4342265633a658b8736de08962bfe0ea9e2068521379
diff --git a/dev-python/django-cors-headers/django-cors-headers-3.14.0.ebuild b/dev-python/django-cors-headers/django-cors-headers-3.14.0.ebuild
new file mode 100644
index 000000000000..b61b6f274f9a
--- /dev/null
+++ b/dev-python/django-cors-headers/django-cors-headers-3.14.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django App that adds CORS (Cross-Origin Resource Sharing) headers to responses"
+HOMEPAGE="
+ https://github.com/adamchainz/django-cors-headers/
+ https://pypi.org/project/django-cors-headers/
+"
+SRC_URI="
+ https://github.com/adamchainz/django-cors-headers/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/dkimpy/Manifest b/dev-python/dkimpy/Manifest
index 53691a5a99af..0f47d5f40e67 100644
--- a/dev-python/dkimpy/Manifest
+++ b/dev-python/dkimpy/Manifest
@@ -1 +1,2 @@
DIST dkimpy-1.0.5.tar.gz 59799 BLAKE2B 317e7a9e7ad1efdbbc7f4f1ce7efca70f3be4272ead3761d8bbde14d19e9f3a90af96d7bff5fba5b612cecaa166b58da4617e39a13276d0982ea38809f808b4d SHA512 af72a56a777b23318af8f8014bad03cadb93cc39f0b8c2062e15f3e5ca77a13be6f49664c9745f1fe97c592be5a63c4b0a3942da2c2c6eaa486137fdbb96528f
+DIST dkimpy-1.1.0.tar.gz 66326 BLAKE2B 3af2ab63351c117b7fa0fd2c7a2f2a98b2177511af61734d171fb69e25c5a3d629d95f8ba2832b66f57607ff447a4093ab8ebd58c931975e9ca0c1bab9469590 SHA512 d8c656d1adabbf8ef2121a36a848818ee9ce5ac9fe42c4b16ef50588870478989159f4ff3aa422ba0556a82763a9e78fde5e19195fe0b95176f2f4ff1d60c70e
diff --git a/dev-python/dkimpy/dkimpy-1.1.0.ebuild b/dev-python/dkimpy/dkimpy-1.1.0.ebuild
new file mode 100644
index 000000000000..d79133359238
--- /dev/null
+++ b/dev-python/dkimpy/dkimpy-1.1.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="DKIM and ARC email signing and verification library"
+HOMEPAGE="
+ https://launchpad.net/dkimpy/
+ https://pypi.org/project/dkimpy/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/dnspython[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/authres[${PYTHON_USEDEP}]
+ dev-python/pynacl[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+pkg_postinst() {
+ optfeature "ARC support" dev-python/authres
+ optfeature "ed25519 capability" dev-python/pynacl
+ optfeature "asyncio support" dev-python/aiodns
+}
diff --git a/dev-python/doit-py/Manifest b/dev-python/doit-py/Manifest
index a7cb600be8df..a0966693812b 100644
--- a/dev-python/doit-py/Manifest
+++ b/dev-python/doit-py/Manifest
@@ -1 +1,2 @@
+DIST doit-py-0.5.0.gh.tar.gz 15174 BLAKE2B 092f21549d3c088baf8a96b8dd7575304d08c7ae7b0472e7a890159247422060af06c1cc14064cd608bd59e71788067c5374953b16f4511971bb3018c0245cd4 SHA512 f9e70be30f47b7251bdb479762dabe655be898f9fe37fc5ac6608110a82863a08002271620569745f9ec2f47c03529c044a6ea74244b8bb6438b3fbe7e4c28f7
DIST doit-py-0.5.0.tar.gz 15174 BLAKE2B 092f21549d3c088baf8a96b8dd7575304d08c7ae7b0472e7a890159247422060af06c1cc14064cd608bd59e71788067c5374953b16f4511971bb3018c0245cd4 SHA512 f9e70be30f47b7251bdb479762dabe655be898f9fe37fc5ac6608110a82863a08002271620569745f9ec2f47c03529c044a6ea74244b8bb6438b3fbe7e4c28f7
diff --git a/dev-python/doit-py/doit-py-0.5.0-r1.ebuild b/dev-python/doit-py/doit-py-0.5.0-r1.ebuild
new file mode 100644
index 000000000000..c02ef7cda19a
--- /dev/null
+++ b/dev-python/doit-py/doit-py-0.5.0-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="doit tasks for python stuff"
+HOMEPAGE="
+ https://pythonhosted.org/doit-py/
+ https://github.com/pydoit/doit-py/
+ https://pypi.org/project/doit-py/
+"
+SRC_URI="
+ https://github.com/pydoit/doit-py/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/configclass[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ app-text/hunspell[l10n_en]
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc
+distutils_enable_tests pytest
diff --git a/dev-python/doit/doit-0.36.0-r1.ebuild b/dev-python/doit/doit-0.36.0-r1.ebuild
new file mode 100644
index 000000000000..bad4738ea0a9
--- /dev/null
+++ b/dev-python/doit/doit-0.36.0-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit bash-completion-r1 distutils-r1 pypi
+
+DESCRIPTION="Automation tool"
+HOMEPAGE="
+ https://pydoit.org/
+ https://github.com/pydoit/doit/
+ https://pypi.org/project/doit/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cloudpickle[${PYTHON_USEDEP}]
+ dev-python/pyinotify[${PYTHON_USEDEP}]
+ || (
+ dev-python/tomli[${PYTHON_USEDEP}]
+ dev-python/tomlkit[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ >=dev-python/doit-py-0.4.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc \
+ dev-python/sphinx-rtd-theme
+
+EPYTEST_DESELECT=(
+ # test failing due to impact on PATH run in a sandbox
+ tests/test_cmd_strace.py::TestCmdStrace::test_dep # #836164
+ tests/test_cmd_strace.py::TestCmdStrace::test_target
+)
+
+src_prepare() {
+ # Replace custom theme with builtin for documentation
+ sed -e '/html_theme/s/press/sphinx_rtd_theme/' -i doc/conf.py || die
+ # Remove non-exist modules for doc generation (#832754)
+ sed \
+ -e '/sphinx_sitemap/d' \
+ -e '/sphinx_reredirects/d' \
+ -i doc/conf.py || die
+
+ distutils-r1_src_prepare
+}
+
+src_install() {
+ distutils-r1_src_install
+ newbashcomp bash_completion_doit ${PN}
+ insinto /usr/share/zsh/site-functions
+ newins zsh_completion_doit _${PN}
+}
diff --git a/dev-python/fastjsonschema/Manifest b/dev-python/fastjsonschema/Manifest
index 4511d43f6afb..1819519283b3 100644
--- a/dev-python/fastjsonschema/Manifest
+++ b/dev-python/fastjsonschema/Manifest
@@ -1 +1,2 @@
DIST python-fastjsonschema-2.16.2.gh.tar.gz 391619 BLAKE2B ea8da31d16ec7c9a897de0b2a91832ce26798d2dc048e70e862ce7a4e75787cd25ee4b9e14fac9f85599e050338b6306a2549a0a8bab9abcbfbd12c246d10697 SHA512 17fce033e6d334e82813af7366006ade29433efe291a1567ae494c2273b9ab87b8fa4ccf1bae0b7062f9f70fe492449c87a5d07075d79037ac2c755ed9278a23
+DIST python-fastjsonschema-2.16.3.gh.tar.gz 392011 BLAKE2B 04990592a2bf6e1309bf725361ef7c2e253c4765c5b9d60805c5e6189f14885a3b0bae98945c2fe228adc335ca8c8c0a243b283b24fa447238d6415d439288e2 SHA512 2e26f31f9c6966e77f70b8ca584e672d554219b6bbb4811e3ac8dff1c693b2638ef08b8b9011e0db6f739be02e2f41a35d15bcfc42a9cb06ddb4521e51f37d8a
diff --git a/dev-python/fastjsonschema/fastjsonschema-2.16.3.ebuild b/dev-python/fastjsonschema/fastjsonschema-2.16.3.ebuild
new file mode 100644
index 000000000000..74b93c1c7c44
--- /dev/null
+++ b/dev-python/fastjsonschema/fastjsonschema-2.16.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Fast JSON schema validator for Python"
+HOMEPAGE="
+ https://github.com/horejsek/python-fastjsonschema/
+ https://pypi.org/project/fastjsonschema/
+"
+SRC_URI="
+ https://github.com/horejsek/python-fastjsonschema/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+ rm -r tests/benchmarks || die
+}
diff --git a/dev-python/gbinder/Manifest b/dev-python/gbinder/Manifest
index 3bc720ddfc20..f3c1328de136 100644
--- a/dev-python/gbinder/Manifest
+++ b/dev-python/gbinder/Manifest
@@ -1,2 +1 @@
-DIST gbinder-1.0.0.tar.gz 22640 BLAKE2B dbd0b07c693c803c6646fded1ea0b546d7dc40a1a5f1592601d28d63dbe5113b2bcc07314710c7ba1b47f3417b943398e720ece089ff8a68856e7b2cfda55ae1 SHA512 3b52c01c99321108a3d5c0129fb4fcf22d164e5de1e197f0e01a77e3bcbf9c4fd7ee35ce58131f545f65561c622b30f5919f4bdc995005b00a18a15c695fbf51
DIST gbinder-1.1.1.tar.gz 24340 BLAKE2B d93d332e0c8a04c5adbf0ca2680d32a7e8d7b0ba8350f50b365966b8bce082456b3463509334831fc376ebecc0f2dd67542bd5d45c94e028d325458944a70147 SHA512 1910d6e904ac46da519064e9dc57e4059e1ea7072f2cf4b7ca0888a73701a590ff565fe9e9ca67acf94dba2a69f3138457d8b9533c2360befdd508b983f32a03
diff --git a/dev-python/gbinder/files/gbinder-1.0.0-setuppy-extensions.patch b/dev-python/gbinder/files/gbinder-1.0.0-setuppy-extensions.patch
deleted file mode 100644
index 5990393e32b5..000000000000
--- a/dev-python/gbinder/files/gbinder-1.0.0-setuppy-extensions.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-From 79d40e9e564772973f7f085ed5c48e3fc625e0f5 Mon Sep 17 00:00:00 2001
-From: Erfan Abdi <erfangplus@gmail.com>
-Date: Mon, 6 Sep 2021 13:57:22 +0430
-Subject: [PATCH] setup: Drop None from keywords
-
----
- setup.py | 2 ++
- 1 file changed, 2 insertions(+)
-
-diff --git a/setup.py b/setup.py
-index cf3a42e..ed2b1ed 100644
---- a/setup.py
-+++ b/setup.py
-@@ -19,6 +19,8 @@ def pkgconfig(package, kw):
-
- extension_kwargs = { 'sources': ["gbinder" + file_ext] }
- extension_kwargs = pkgconfig('libgbinder', extension_kwargs)
-+if None in extension_kwargs:
-+ del extension_kwargs[None]
- extensions = [Extension('gbinder', **extension_kwargs)]
-
- if USE_CYTHON:
diff --git a/dev-python/gbinder/files/gbinder-1.1.1-setuptools.patch b/dev-python/gbinder/files/gbinder-1.1.1-setuptools.patch
new file mode 100644
index 000000000000..94bda6295cb7
--- /dev/null
+++ b/dev-python/gbinder/files/gbinder-1.1.1-setuptools.patch
@@ -0,0 +1,37 @@
+From 32cfbabe5ed37815358cc3515ce6551b6b7b87ae Mon Sep 17 00:00:00 2001
+From: Herrie <Github.com@herrie.org>
+Date: Sat, 23 Jul 2022 20:38:22 +0200
+Subject: [PATCH] setup.py: Migrate away from deprecated distutils.core to
+ setuptools
+
+distutils will be removed in Python 3.12, but already gives issues with 3.10 as well.
+
+/mnt/5ba5d474-0b2d-49d6-a5a6-9de20c3ac967/kirkstone/webos-ports/tmp-glibc/work/core2-64-webos-linux/python3-gbinder/1.0.0+gitAUTOINC+da16278f0d-r0/git/setup.py:2: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
+ from distutils.core import setup, Extension
+Compiling gbinder.pyx because it changed.
+[1/1] Cythonizing gbinder.pyx
+usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
+ or: setup.py --help [cmd1 cmd2 ...]
+ or: setup.py --help-commands
+ or: setup.py cmd --help
+
+error: invalid command 'bdist_wheel'
+ERROR: 'python3 setup.py bdist_wheel sdist --cython' execution failed.
+WARNING: exit code 1 from a shell command.
+
+Signed-off-by: Herman van Hazendonk <github.com@herrie.org>
+---
+ setup.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/setup.py b/setup.py
+index ed2b1ed..6060f84 100644
+--- a/setup.py
++++ b/setup.py
+@@ -1,5 +1,5 @@
+ import sys, subprocess
+-from distutils.core import setup, Extension
++from setuptools import setup, Extension
+
+
+ def pkgconfig(package, kw):
diff --git a/dev-python/gbinder/gbinder-1.0.0.ebuild b/dev-python/gbinder/gbinder-1.1.1-r10.ebuild
index 93ea8dafb7fe..2f3f8d0e3205 100644
--- a/dev-python/gbinder/gbinder-1.0.0.ebuild
+++ b/dev-python/gbinder/gbinder-1.1.1-r10.ebuild
@@ -5,6 +5,8 @@ EAPI=8
PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517="setuptools"
+
inherit distutils-r1
if [[ ${PV} != *9999* ]]; then
@@ -12,8 +14,7 @@ if [[ ${PV} != *9999* ]]; then
MY_P="${MY_PN}-${PV}"
S="${WORKDIR}/${MY_P}"
SRC_URI="https://github.com/erfanoabdi/gbinder-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64"
- PATCHES=( "${FILESDIR}/${P}-setuppy-extensions.patch" )
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
else
inherit git-r3
EGIT_REPO_URI="https://github.com/erfanoabdi/gbinder-python.git"
@@ -24,13 +25,20 @@ HOMEPAGE="https://github.com/erfanoabdi/gbinder-python"
LICENSE="GPL-3"
SLOT="0"
-DEPEND="dev-libs/gbinder"
+PATCHES=(
+ "${FILESDIR}"/gbinder-1.1.1-setuptools.patch
+)
+
+
+DEPEND="dev-libs/gbinder
+ dev-libs/libglibutil"
RDEPEND="${DEPEND}"
BDEPEND="
virtual/pkgconfig
dev-python/cython[${PYTHON_USEDEP}]
+ ${DISTUTILS_DEPS}
"
-python_compile() {
- distutils-r1_python_compile --cython
+python_configure_all () {
+ DISTUTILS_ARGS=( --cython )
}
diff --git a/dev-python/gbinder/gbinder-9999.ebuild b/dev-python/gbinder/gbinder-9999.ebuild
index 93ea8dafb7fe..ed0ec498bf97 100644
--- a/dev-python/gbinder/gbinder-9999.ebuild
+++ b/dev-python/gbinder/gbinder-9999.ebuild
@@ -12,8 +12,7 @@ if [[ ${PV} != *9999* ]]; then
MY_P="${MY_PN}-${PV}"
S="${WORKDIR}/${MY_P}"
SRC_URI="https://github.com/erfanoabdi/gbinder-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64"
- PATCHES=( "${FILESDIR}/${P}-setuppy-extensions.patch" )
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
else
inherit git-r3
EGIT_REPO_URI="https://github.com/erfanoabdi/gbinder-python.git"
@@ -24,7 +23,8 @@ HOMEPAGE="https://github.com/erfanoabdi/gbinder-python"
LICENSE="GPL-3"
SLOT="0"
-DEPEND="dev-libs/gbinder"
+DEPEND="dev-libs/gbinder
+ dev-libs/libglibutil"
RDEPEND="${DEPEND}"
BDEPEND="
virtual/pkgconfig
diff --git a/dev-python/grpcio-tools/Manifest b/dev-python/grpcio-tools/Manifest
index e624bcc09903..8439d0ab7798 100644
--- a/dev-python/grpcio-tools/Manifest
+++ b/dev-python/grpcio-tools/Manifest
@@ -1,2 +1,2 @@
-DIST grpcio-tools-1.50.0.tar.gz 2253223 BLAKE2B c30aed50411517b518a1d1b6cf0033ddb365e6499b5ff2e751bcad35d6e8afc09f80c8f2bb997de10aeb9c1861ede1d3f0954c04613f1427f8c9bdd83dc3cff3 SHA512 f5c3f6dfaa4d7cae00b71861a9b8ea84cb8d33bc0bafead25286cc9533b8fdff88e29c8b05ae87618588e5e389ff3dc8327feae04d57b06fb27147547c91a254
DIST grpcio-tools-1.51.1.tar.gz 2254429 BLAKE2B 7b2379f8695cd34abcce2f24acfd79b609a91c0757716bf56aa695c756689c4f2c9424a4c1321fed96a916bbf5471803d806a83103362aabf6f95d8ad4af8fe7 SHA512 d8477b015f7b1d78d15c9cb116d296a2576f400e1c18d3fca6e4364cf412aa95d87b43eb4e6e82a2ece98da33d3a7f030227134349fc4450e58a1b265824e789
+DIST grpcio-tools-1.51.3.tar.gz 2254586 BLAKE2B 11695b2cd7b04425465b638b47f8857f6780cff4e7d3f94218e0f15d6817d5de6157cca345b6478ff819b17845477773d7e5be0474f9bb67aef68f9a056c9f56 SHA512 d1b73c4ddb90bc71d2b8b6a1ca32b48fc2aa92842beaf0352a15d9954cee59686a33cfd681e44d51590c5fe232faec2dfd961b4dcae00f0a45b589462272673f
diff --git a/dev-python/grpcio-tools/grpcio-tools-1.50.0.ebuild b/dev-python/grpcio-tools/grpcio-tools-1.51.3.ebuild
index 69609a24a67a..28bd60ddeca9 100644
--- a/dev-python/grpcio-tools/grpcio-tools-1.50.0.ebuild
+++ b/dev-python/grpcio-tools/grpcio-tools-1.51.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 LiGurOs Authors
+# Copyright 2022-2023 LiGurOs Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -9,7 +9,7 @@ inherit distutils-r1 multiprocessing prefix
DESCRIPTION="Protobuf code generator for gRPC"
HOMEPAGE="https://grpc.io https://pypi.org/project/grpcio-tools/"
-SRC_URI="https://files.pythonhosted.org/packages/62/02/612ee1b34da2158fcb2ad35a115606bf552856e0d7c82fe2b479cb70d7a7/${P}.tar.gz"
+SRC_URI="https://files.pythonhosted.org/packages/17/2f/920a3be02901c5b46f672e7d26ec81a316e111ffc9b3635dab4b71fc2080/grpcio-tools-1.51.3.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
diff --git a/dev-python/grpcio/Manifest b/dev-python/grpcio/Manifest
index 71dee9f7e0cf..e14982ea89b2 100644
--- a/dev-python/grpcio/Manifest
+++ b/dev-python/grpcio/Manifest
@@ -1,2 +1,2 @@
-DIST grpcio-1.50.0.tar.gz 22066727 BLAKE2B 44c1fa1fc6eb8ef18b0264ec5fb9cd717367b5a15d8337a6f68f74109b0458d5ad4668f56ea7508bc49fdc3d8a66c1dc5d6442436f6fbf5ef0dc19c79cf90e4b SHA512 cd11ef03a524213bdc650490599736e20d0ff1ceb269f70e656fdf80320ae0e0eb9777db1e3fe429024363cdf34229382cd0bb6de71b956afd20adb72e8fc35f
DIST grpcio-1.51.1.tar.gz 22137648 BLAKE2B 71793a916bf5f1967ca2b74742d9cc5f4c65dd3fb153bcbab9ec760eff78addb1a84ac158638fa53e8ac25c505008c27101b2b0422c0ddceaebc78793cabe44d SHA512 6133ac7518477a2c0bb4aa95d3631dfb1f2c2526e853e056a47dc567211905dc2a31714481b97596253cd72dbbb8a34af3c644909ffe7b87b8ba71ec726c04a0
+DIST grpcio-1.51.3.tar.gz 22147992 BLAKE2B 1048a08500f24744711474bccceb7e79ea985dde574937143b685b4f2096f761eaef2fb943ce1b608bc8bce72535b821ab5598f9033f119c0674a1c0444b0135 SHA512 4c19cc1ffbd9184807c26a3270568059316eb52e79c0d824106ecc32fa03b0a3520e89601cb752c14cc51958d4d5ff33fad7d00cbb8de680c506fe8dc0c35e9b
diff --git a/dev-python/grpcio/grpcio-1.50.0.ebuild b/dev-python/grpcio/grpcio-1.51.3.ebuild
index 5af054971db9..aa60988c01b6 100644
--- a/dev-python/grpcio/grpcio-1.50.0.ebuild
+++ b/dev-python/grpcio/grpcio-1.51.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 LiGurOs Authors
+# Copyright 2022-2023 LiGurOs Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -8,7 +8,7 @@ inherit distutils-r1 multiprocessing prefix
DESCRIPTION="High-performance RPC framework (python libraries)"
HOMEPAGE="https://grpc.io https://pypi.org/project/grpcio/"
-SRC_URI="https://files.pythonhosted.org/packages/71/87/118ed062bba99c54162f9b3a15cc58f018e157fe2f274edd7bc1a8a5bfe2/${P}.tar.gz"
+SRC_URI="https://files.pythonhosted.org/packages/f9/d1/8e1d6f684e36492476e1d6bbbf0162f8021421d9880fc346620d29f3c5a6/grpcio-1.51.3.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
diff --git a/dev-python/guzzle_sphinx_theme/guzzle_sphinx_theme-0.7.11-r1.ebuild b/dev-python/guzzle_sphinx_theme/guzzle_sphinx_theme-0.7.11-r1.ebuild
deleted file mode 100644
index 5f84f6cc07ca..000000000000
--- a/dev-python/guzzle_sphinx_theme/guzzle_sphinx_theme-0.7.11-r1.ebuild
+++ /dev/null
@@ -1,18 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx theme used by Guzzle"
-HOMEPAGE="https://github.com/guzzle/guzzle_sphinx_theme"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="dev-python/sphinx[${PYTHON_USEDEP}]"
diff --git a/dev-python/guzzle_sphinx_theme/guzzle_sphinx_theme-0.7.11-r2.ebuild b/dev-python/guzzle_sphinx_theme/guzzle_sphinx_theme-0.7.11-r2.ebuild
index 29a15ce36f7a..f7fd126bc247 100644
--- a/dev-python/guzzle_sphinx_theme/guzzle_sphinx_theme-0.7.11-r2.ebuild
+++ b/dev-python/guzzle_sphinx_theme/guzzle_sphinx_theme-0.7.11-r2.ebuild
@@ -6,14 +6,13 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-inherit distutils-r1
+inherit distutils-r1 pypi
DESCRIPTION="Sphinx theme used by Guzzle"
HOMEPAGE="https://github.com/guzzle/guzzle_sphinx_theme"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="dev-python/sphinx[${PYTHON_USEDEP}]"
diff --git a/dev-python/leechcorepyc/Manifest b/dev-python/leechcorepyc/Manifest
index 9fdc752b34f0..b5f44afbfdd1 100644
--- a/dev-python/leechcorepyc/Manifest
+++ b/dev-python/leechcorepyc/Manifest
@@ -1 +1,2 @@
DIST leechcorepyc-2.13.0.tar.gz 123152 BLAKE2B 8a3ae5b0f0d52296ef71bbbea5140f9dec6abd379ae2a1b0e3a418090a11e5196731b1c4cba5320d4058c562911366cc9dd84f3a30f58ddc7c66362a9b39af8f SHA512 1420f635bebafe1e07cb5f0ade3e6b141433d4a72ec165713f959dc19e05f42a86440c5c99dd5d759aee221ee478e91e7161541cebe11be6dfa286fad79843ae
+DIST leechcorepyc-2.14.0.tar.gz 124463 BLAKE2B 26b7581da76ab3f8981e956ab2f64de2094cc906788455e38784fb50dbad31b8b14de2f510cb49b9c1e842e2a66effd44a2db94cb6ef9e7ec9f11c3af0d9434c SHA512 c7d1d50727023f6b34bbc9682dba9bc70ae69962dcd5c326612a0dcd48a2a90ecfe674391559271d65d7720d755edde02342fb999e53ad54f8095c589060b901
diff --git a/dev-python/leechcorepyc/files/leechcorepyc-2.14.0-cflags.patch b/dev-python/leechcorepyc/files/leechcorepyc-2.14.0-cflags.patch
new file mode 100644
index 000000000000..945f4e41e1c1
--- /dev/null
+++ b/dev-python/leechcorepyc/files/leechcorepyc-2.14.0-cflags.patch
@@ -0,0 +1,13 @@
+Bug: https://bugs.gentoo.org/893824
+--- a/leechcore/Makefile
++++ b/leechcore/Makefile
+@@ -6,7 +6,8 @@
+ # CFLAGS += -fsanitize=address -fsanitize=leak -fno-omit-frame-pointer -fsanitize=undefined -fsanitize=bounds-strict -fsanitize=float-divide-by-zero -fsanitize=float-cast-overflow
+ # CFLAGS += -fsanitize=pointer-compare -fsanitize=pointer-subtract -fanalyzer
+ # DEBUG FLAGS ABOVE
+-CFLAGS += -fPIE -fPIC -pie -fstack-protector -D_FORTIFY_SOURCE=2 -O1 -Wl,-z,noexecstack
++CFLAGS := -D_FORTIFY_SOURCE=2 ${CFLAGS}
++CFLAGS += -fPIE -fPIC -pie -Wl,-z,noexecstack
+ CFLAGS += -Wall -Wno-unused-result -Wno-unused-variable -Wno-unused-value -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast
+ LDFLAGS += -g -ldl -shared
+ DEPS = leechcore.h
diff --git a/dev-python/leechcorepyc/files/leechcorepyc-2.14.0-respect-CC.patch b/dev-python/leechcorepyc/files/leechcorepyc-2.14.0-respect-CC.patch
new file mode 100644
index 000000000000..4fdebf98d445
--- /dev/null
+++ b/dev-python/leechcorepyc/files/leechcorepyc-2.14.0-respect-CC.patch
@@ -0,0 +1,38 @@
+--- a/leechcore/Makefile
++++ b/leechcore/Makefile
+@@ -1,5 +1,6 @@
+-CC=gcc
+-CFLAGS += -I. -D LINUX -D _GNU_SOURCE -shared -fPIC -fvisibility=hidden -pthread `pkg-config libusb-1.0 --libs --cflags`
++CC?=gcc
++PKG_CONFIG ?= pkg-config
++CFLAGS += -I. -D LINUX -D _GNU_SOURCE -shared -fPIC -fvisibility=hidden -pthread `$(PKG_CONFIG) libusb-1.0 --libs --cflags`
+ # DEBUG FLAGS BELOW
+ # export ASAN_OPTIONS=strict_string_checks=1:detect_stack_use_after_return=1:check_initialization_order=1:strict_init_order=1:detect_invalid_pointer_pairs=2
+ # CFLAGS += -g -O0 -Wextra -Wno-unused-parameter -Wno-cast-function-type
+--- a/leechcore_device_rawtcp/Makefile
++++ b/leechcore_device_rawtcp/Makefile
+@@ -1,4 +1,4 @@
+-CC=gcc
++CC?=gcc
+ CFLAGS += -I. -I../includes -D LINUX -shared -fPIC -fvisibility=hidden
+ LDFLAGS += -g -shared
+ DEPS =
+--- a/leechcore_device_sp605tcp/Makefile
++++ b/leechcore_device_sp605tcp/Makefile
+@@ -1,4 +1,4 @@
+-CC=gcc
++CC?=gcc
+ CFLAGS += -I. -I../includes -D LINUX -shared -fPIC -fvisibility=hidden
+ LDFLAGS += -g -shared
+ DEPS =
+--- a/leechcore_ft601_driver_linux/Makefile
++++ b/leechcore_ft601_driver_linux/Makefile
+@@ -1,5 +1,6 @@
+-CC=gcc
+-CFLAGS += -I. -D LINUX -shared -fPIC -fvisibility=hidden `pkg-config libusb-1.0 --libs --cflags`
++CC?=gcc
++PKG_CONFIG ?= pkg-config
++CFLAGS += -I. -D LINUX -shared -fPIC -fvisibility=hidden `$(PKG_CONFIG) libusb-1.0 --libs --cflags`
+ LDFLAGS += -g -shared
+ DEPS = leechcore_ft601_driver_linux.h
+ OBJ = fpga_libusb.o leechcore_ft601_driver_linux.o
diff --git a/dev-python/leechcorepyc/leechcorepyc-2.14.0.ebuild b/dev-python/leechcorepyc/leechcorepyc-2.14.0.ebuild
new file mode 100644
index 000000000000..4840d0d81886
--- /dev/null
+++ b/dev-python/leechcorepyc/leechcorepyc-2.14.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 toolchain-funcs
+
+DESCRIPTION="Python binding for LeechCore Physical Memory Acquisition Library"
+HOMEPAGE="https://github.com/ufrisk/LeechCore"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# leechcorepyc ships with a bundled version of the LeechCore library. So we
+# don't depend on the library here. But we must be aware this module doesn't
+# use the system library.
+DEPEND="virtual/libusb:="
+RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.14.0-respect-CC.patch"
+ "${FILESDIR}/${PN}-2.14.0-cflags.patch"
+)
+
+src_configure() {
+ tc-export CC
+
+ distutils-r1_src_configure
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 32b833c03f2b..b3ac1c92b538 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -8,3 +8,4 @@ DIST llvm-project-16.0.0rc3.src.tar.xz 117914548 BLAKE2B 18ffa35eb73c7cc4626d7b6
DIST llvm-project-16.0.0rc3.src.tar.xz.sig 566 BLAKE2B 43683d2d7b266a847516f71412bf6236a355462430330fc0da1d624fb8dfbc98bfc982d367baee74d5b4964a9e82e7a4a6ea84bdcff3996d246932f516cced1a SHA512 61adc4dc3eb5a4c11a7f96f9267ff37895e5845a08d48a609a03a2696c1b6bca5af5861a6f28de936c48e6d621bf282170589187f2cb593a912b9078300cf47c
DIST llvm-project-22fb66eb94b643c858c2beecbcfac438a7fa29ed.tar.gz 179795537 BLAKE2B aef57ef739c52a8f8b2b327a8f6d8cce4734d9704018fb43a21468e56748e5d5b3d2d47fb4e95fd72b2af9f2e4be88839553e26fd7da08df60c5cc0f51c001d4 SHA512 9ed093ef7dac4891660aafbc5cad66bddefa796bff4dd70c792cc636268742142d82b84520ac2f5a5963521d7b9e4325440763ce0c88937f89722f07d3acd4b8
DIST llvm-project-5e262d58c42668c78d932fab6bf75cf8c3b9d07e.tar.gz 179975303 BLAKE2B 184e7ff6e9a7de77d4a8c36c6910e4e3c7c5e9ff73ed6111ec4704dd457205278abb258ff37170e41a6b21c9ae3f243a80b34e4b17f8977fb9a42876db6465b7 SHA512 ec7e16a4d8f8292d1184ae08c1c5eda0dba1876e7d9c228eb0added5cde45f3094fde7eb1da662d436f85315850310cc0612210ff3ddf82967d5c2de0047a724
+DIST llvm-project-b0676fb0fb0a44a4a1c4ec1f0270fef1f1842817.tar.gz 180277698 BLAKE2B d2c1e6a1942e51f5844c18605f38b005e9bb4123850a173e4c4b3d7b6a14f4986c7b276b40df4d0594ae04e869e92ba1a4269c5055c0229cfd28aa1bd709da4f SHA512 d1281b942dcc254641865f11b0c4fbd1d562d016681b6b7268549bed1cdb7d4536f743a8ed089095eaab9f4bfb9de624153f448bf13d0e22f8ea24a4d264df7b
diff --git a/dev-python/lit/lit-17.0.0_pre20230225.ebuild b/dev-python/lit/lit-17.0.0_pre20230225.ebuild
new file mode 100644
index 000000000000..0e39fac626c6
--- /dev/null
+++ b/dev-python/lit/lit-17.0.0_pre20230225.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/proxy_tools/Manifest b/dev-python/proxy_tools/Manifest
index c31ffd692ad2..dd50f3ffd1d9 100644
--- a/dev-python/proxy_tools/Manifest
+++ b/dev-python/proxy_tools/Manifest
@@ -1 +1 @@
-DIST proxy_tools-0.1.0.tar.gz 2978 BLAKE2B 98322f16dde8efa0fb014de2bcf9b5c8b4856fbb6cef15977e524742c20218db1288d7bdc0b21970dba2d42d5950bd242023fde76baaa09186793e6bf8eb2d3a SHA512 047d32e31f6dd78b7666e847108072f6942c8ba9f08f04d7c98ae13cc5b52e0028f724e738e6eef28ef12945bccab22214660e4606643dcd646dbc770a641882
+DIST proxy_tools-0.1.0_p1.gh.tar.gz 9405 BLAKE2B 26a28c3346a687325bb5a0e1fbce034522de67626fb345b8583afbb91fde4b4cc89aaa532bedf113ba17b47a6212fc5899d9069032754faee9f16c0d818d5a58 SHA512 d9cdf2d175e2bce452c8e5132732f90a2cd8f7e86e49cd7041752b710530625c5798d5078ad22ca7ec9980d5d91d3823c0fc64030597763084023df0a79f0a61
diff --git a/dev-python/proxy_tools/proxy_tools-0.1.0.ebuild b/dev-python/proxy_tools/proxy_tools-0.1.0.ebuild
deleted file mode 100644
index 9d6882080658..000000000000
--- a/dev-python/proxy_tools/proxy_tools-0.1.0.ebuild
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 2020-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Simple proxy (as in the GoF design pattern)"
-HOMEPAGE="https://pypi.org/project/proxy_tools/"
-SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
diff --git a/dev-python/proxy_tools/proxy_tools-0.1.0_p1.ebuild b/dev-python/proxy_tools/proxy_tools-0.1.0_p1.ebuild
new file mode 100644
index 000000000000..36e4e939b5d6
--- /dev/null
+++ b/dev-python/proxy_tools/proxy_tools-0.1.0_p1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_COMMIT="db43f1e35d4f90a65c5a4d56d9e9af88212ec6e6"
+
+DESCRIPTION="Simple proxy (as in the GoF design pattern)"
+HOMEPAGE="https://pypi.org/project/proxy_tools/"
+# pypi tarballs are missing test data
+SRC_URI="https://github.com/jtushman/${PN}/archive/${MY_COMMIT}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}"/${PN}-${MY_COMMIT}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+distutils_enable_tests nose
diff --git a/dev-python/pyrate-limiter/Manifest b/dev-python/pyrate-limiter/Manifest
index d4c433f1a851..4d74b08d2730 100644
--- a/dev-python/pyrate-limiter/Manifest
+++ b/dev-python/pyrate-limiter/Manifest
@@ -1 +1,2 @@
DIST pyrate-limiter-2.8.2.gh.tar.gz 51233 BLAKE2B a9a8bbf123596c7c64f60ae2c9d4e23a394dae6d18a8d09c0ec0b289bbbfce9dacee523726b906a30cf17fd7243b3fa1d1f2dc60af1bec67dc242d944535a5fd SHA512 3ff703347a86f6a91cf6b9c8edce3017cf88f2373961ba235c2f521d0112b0116951be7314b95d737ef0bec5cb6bae9908874fafe4060eb773cf0577e2ddbdb3
+DIST pyrate-limiter-2.9.1.gh.tar.gz 71544 BLAKE2B 2f87f998abdb891673931f91a9980f5876f58a2225ca41af6ec390e59bd326e8614162549946552b22fea093f89f5c2a219eaa9223719dd4db9023944f040da2 SHA512 461b1627574ce09817b434ce0d47e3bbcb549fcd8176623b87640089c1dd9bb45030ae1c944ffd7906b04f9b1ba2977c841c1da9483619bc092570b86a49bcd6
diff --git a/dev-python/pyrate-limiter/pyrate-limiter-2.9.1.ebuild b/dev-python/pyrate-limiter/pyrate-limiter-2.9.1.ebuild
new file mode 100644
index 000000000000..a71b3d8b8ccc
--- /dev/null
+++ b/dev-python/pyrate-limiter/pyrate-limiter-2.9.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Rate-Limiter using Leaky-Bucket Algorimth Family"
+HOMEPAGE="
+ https://github.com/vutran1710/PyrateLimiter/
+ https://pypi.org/project/pyrate-limiter/
+"
+SRC_URI="
+ https://github.com/vutran1710/PyrateLimiter/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/PyrateLimiter-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/redis[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/django-redis[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # Optional dependency redis-py-cluster not packaged
+ "tests/test_02.py::test_redis_cluster"
+ # Python 3.11 is slightly faster, leading to a non-critical failure here
+ "tests/test_concurrency.py::test_concurrency[ProcessPoolExecutor-SQLiteBucket]"
+)
+
+# TODO: package sphinx-copybutton
+# distutils_enable_sphinx docs \
+# dev-python/sphinx-autodoc-typehints \
+# dev-python/furo \
+# dev-python/myst_parser \
+# dev-python/sphinxcontrib-apidoc
+distutils_enable_tests pytest
+
+src_prepare() {
+ # workaround installing LICENSE into site-packages
+ sed -i -e 's:^include:exclude:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pysol_cards/pysol_cards-0.14.3.ebuild b/dev-python/pysol_cards/pysol_cards-0.14.3.ebuild
index 40daf44abe98..37c3b7eefbb2 100644
--- a/dev-python/pysol_cards/pysol_cards-0.14.3.ebuild
+++ b/dev-python/pysol_cards/pysol_cards-0.14.3.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0 MIT"
SLOT="0"
-KEYWORDS="~amd64 arm64 ~riscv ~x86"
+KEYWORDS="amd64 arm64 ~riscv x86"
RDEPEND="
dev-python/random2[${PYTHON_USEDEP}]
diff --git a/dev-python/qiskit-aer/files/qiskit-aer-0.11.2-terra-test.patch b/dev-python/qiskit-aer/files/qiskit-aer-0.11.2-terra-test.patch
new file mode 100644
index 000000000000..e9f65dd6a42a
--- /dev/null
+++ b/dev-python/qiskit-aer/files/qiskit-aer-0.11.2-terra-test.patch
@@ -0,0 +1,45 @@
+https://github.com/Qiskit/qiskit-aer/commit/cec5c11513118fa8d701e2bef1376dc3db7263c3
+
+From cec5c11513118fa8d701e2bef1376dc3db7263c3 Mon Sep 17 00:00:00 2001
+From: Jun Doi <doichan@jp.ibm.com>
+Date: Fri, 27 Jan 2023 18:55:59 +0900
+Subject: [PATCH] Fix test_aer_statevector (#1710)
+
+* fix test_aer_statevector
+
+* add plot directive to docs
+
+* fix test_aer_statevector and remove reno
+
+Co-authored-by: Hiroshi Horii <horii@jp.ibm.com>
+--- a/docs/conf.py
++++ b/docs/conf.py
+@@ -67,6 +67,7 @@ extensions = [
+ 'sphinx_tabs.tabs',
+ 'jupyter_sphinx',
+ 'reno.sphinxext',
++ 'matplotlib.sphinxext.plot_directive',
+ ]
+ html_static_path = ['_static']
+ templates_path = ['_templates']
+--- a/test/terra/states/test_aer_statevector.py
++++ b/test/terra/states/test_aer_statevector.py
+@@ -1347,13 +1347,14 @@ class TestAerStatevector(common.QiskitAerTestCase):
+ ([-1, 1j], ["-", "+i"]),
+ ([1e-16 + 1j], ["i"]),
+ ([-1 + 1e-16 * 1j], ["-"]),
+- ([-1, -1 - 1j], ["-", "+ (-1 - i)"]),
++ ([-1, -1 - 1j], ["-", "+(-1 - i)"]),
+ ([np.sqrt(2) / 2, np.sqrt(2) / 2], ["\\frac{\\sqrt{2}}{2}", "+\\frac{\\sqrt{2}}{2}"]),
+ ([1 + np.sqrt(2)], ["(1 + \\sqrt{2})"]),
+ ]
+- for numbers, latex_terms in cases:
+- terms = numbers_to_latex_terms(numbers)
+- self.assertListEqual(terms, latex_terms)
++ with self.assertWarns(DeprecationWarning):
++ for numbers, latex_terms in cases:
++ terms = numbers_to_latex_terms(numbers, 15)
++ self.assertListEqual(terms, latex_terms)
+
+ def test_statevector_draw_latex_regression(self):
+ """Test numerical rounding errors are not printed"""
diff --git a/dev-python/qiskit-aer/qiskit-aer-0.11.2-r1.ebuild b/dev-python/qiskit-aer/qiskit-aer-0.11.2-r1.ebuild
index 0242a826e58f..cfefb716a7bf 100644
--- a/dev-python/qiskit-aer/qiskit-aer-0.11.2-r1.ebuild
+++ b/dev-python/qiskit-aer/qiskit-aer-0.11.2-r1.ebuild
@@ -6,7 +6,7 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-inherit distutils-r1
+inherit distutils-r1 multiprocessing
DESCRIPTION="High performance simulator for quantum circuits that includes noise models"
HOMEPAGE="
@@ -35,7 +35,11 @@ DEPEND="
virtual/cblas[eselect-ldso]
sci-libs/openblas[eselect-ldso]
"
-
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/qiskit-terra-0.21.0[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.0[${PYTHON_USEDEP}]
+"
BDEPEND="
>=dev-util/cmake-3.17
>=dev-python/scikit-build-0.11.0[${PYTHON_USEDEP}]
@@ -43,21 +47,19 @@ BDEPEND="
test? (
dev-python/ddt[${PYTHON_USEDEP}]
dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
-RDEPEND="
- ${DEPEND}
- >=dev-python/qiskit-terra-0.21.0[${PYTHON_USEDEP}]
- >=dev-python/scipy-1.0[${PYTHON_USEDEP}]
-"
+PATCHES=(
+ # Remove cmake dependency from setup.py because of
+ # invalid dependency description. We put this dependency check in BDEPEND.
+ "${FILESDIR}/qiskit-aer-0.10.3-remove-cmake-dependency.patch"
+ "${FILESDIR}/qiskit-aer-0.11.2-terra-test.patch"
+)
distutils_enable_tests pytest
-# Remove cmake dependency from setup.py because of
-# invalid dependency description. We put this dependency check in BDEPEND.
-PATCHES=( "${FILESDIR}/qiskit-aer-0.10.3-remove-cmake-dependency.patch" )
-
check_openblas() {
local libdir=$(get_libdir) me="openblas"
@@ -75,7 +77,7 @@ check_openblas() {
pkg_setup() {
if use test; then
check_openblas
- if [ $? -ne 0 ]; then
+ if [[ $? -ne 0 ]]; then
die "Set blas implementation to openblas using 'eselect blas set openblas'!"
fi
fi
@@ -92,11 +94,15 @@ python_prepare_all() {
python_test() {
local EPYTEST_DESELECT=(
# TODO
- test/terra/states/test_aer_statevector.py::TestAerStatevector::test_number_to_latex_terms
+ test/terra/states/test_aer_statevector.py::TestAerStatevector::test_drawings
+
+ # TODO: GLIBCXX_ASSERTIONS, bug #897758
+ test/terra/backends/aer_simulator/test_algorithms.py::TestAlgorithms::test_extended_stabilizer_sparse_output_probs
+ test/terra/backends/aer_simulator/test_options.py::TestOptions::test_mps_options
)
rm -rf qiskit_aer || die
- epytest -s
+ epytest -n "$(makeopts_jobs)" -s
}
pkg_postinst() {
diff --git a/dev-python/qiskit-terra/qiskit-terra-0.23.2.ebuild b/dev-python/qiskit-terra/qiskit-terra-0.23.2-r1.ebuild
index 9156b8cf28bb..e74b25fb3673 100644
--- a/dev-python/qiskit-terra/qiskit-terra-0.23.2.ebuild
+++ b/dev-python/qiskit-terra/qiskit-terra-0.23.2-r1.ebuild
@@ -79,7 +79,7 @@ CRATES="
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-inherit cargo distutils-r1 multiprocessing
+inherit cargo distutils-r1 multiprocessing optfeature
DESCRIPTION="Terra is the foundation on which Qiskit is built"
HOMEPAGE="
@@ -115,7 +115,6 @@ RDEPEND="
>=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
>=dev-python/stevedore-3.0.0[${PYTHON_USEDEP}]
>=dev-python/symengine-0.8[${PYTHON_USEDEP}]
- >=dev-python/tweedledum-1.1[${PYTHON_USEDEP}]
visualization? (
>=dev-python/matplotlib-3.3[${PYTHON_USEDEP}]
>=dev-python/ipywidgets-7.3.0[${PYTHON_USEDEP}]
@@ -172,3 +171,7 @@ python_test() {
# Note: use -p timeout --timeout 500 if debugging hanging tests.
epytest -p xdist -n "$(makeopts_jobs)" test/python
}
+
+pkg_postinst() {
+ optfeature "qiskit.circuit.classicalfunction support" dev-python/tweedledum
+}
diff --git a/dev-python/seaborn/Manifest b/dev-python/seaborn/Manifest
index 05272f65be96..0fa6e8e28578 100644
--- a/dev-python/seaborn/Manifest
+++ b/dev-python/seaborn/Manifest
@@ -1 +1,2 @@
DIST seaborn-0.12.0.tar.gz 1407601 BLAKE2B 3da8db0a0c08a40a3969a2ffce248f5521b4c7c93ecf0f014850093ef48331326454572ceea6ee1133805bf92540b0d2acecdfb7cb789d238f743b30e6a28947 SHA512 b2b06a22d48f19ace2448f465ca5e700f3486971d9fb86e85a1a8c9e2956b904e5f4c2c8075f848299b182cf8f69b2fac22366fedbd8012b9c44adc0bcb7e060
+DIST seaborn-0.12.2.tar.gz 1439798 BLAKE2B cf6903b1a2d27516bcafe46cabc81ea9fac80666394a6a82516630f9ac60afc7e9d31817e029cda9a08da04c0a37ce0244ad23acda16bca3283532ddb0fbdb71 SHA512 988a9922ee301b655911efa38905674b7dd15e7f7b157ad67f5befaeb02db492553f8bd6133b54d2dd7970b8dbbfd92d81d1faea3fa618247ebcaeb98620a060
diff --git a/dev-python/seaborn/files/seaborn-0.12.2-matplotlib-3.7.patch b/dev-python/seaborn/files/seaborn-0.12.2-matplotlib-3.7.patch
new file mode 100644
index 000000000000..dbc4908321d9
--- /dev/null
+++ b/dev-python/seaborn/files/seaborn-0.12.2-matplotlib-3.7.patch
@@ -0,0 +1,19 @@
+https://github.com/mwaskom/seaborn/commit/db7ae11750fc2dfb695457239708448d54e9b8cd
+
+From db7ae11750fc2dfb695457239708448d54e9b8cd Mon Sep 17 00:00:00 2001
+From: Michael Waskom <mwaskom@users.noreply.github.com>
+Date: Wed, 25 Jan 2023 16:58:26 -0500
+Subject: [PATCH] Update test to reflect change in matplotlib 3.7 (#3236)
+
+--- a/tests/test_axisgrid.py
++++ b/tests/test_axisgrid.py
+@@ -331,7 +331,7 @@ def test_subplot_kws(self):
+ g = ag.FacetGrid(self.df, despine=False,
+ subplot_kws=dict(projection="polar"))
+ for ax in g.axes.flat:
+- assert "PolarAxesSubplot" in str(type(ax))
++ assert "PolarAxes" in ax.__class__.__name__
+
+ def test_gridspec_kws(self):
+ ratios = [3, 1, 2]
+
diff --git a/dev-python/seaborn/seaborn-0.12.2.ebuild b/dev-python/seaborn/seaborn-0.12.2.ebuild
new file mode 100644
index 000000000000..7505b641a78c
--- /dev/null
+++ b/dev-python/seaborn/seaborn-0.12.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Statistical data visualization"
+HOMEPAGE="https://seaborn.pydata.org https://github.com/mwaskom/seaborn"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( dev-python/pytest-xdist[${PYTHON_USEDEP}] )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-matplotlib-3.7.patch
+)
+
+distutils_enable_tests pytest
+
+src_test() {
+ cat > matplotlibrc <<- EOF || die
+ backend : Agg
+ EOF
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ epytest -n "$(makeopts_jobs)"
+}